Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.SwitchExpressionContext

- org.apache.groovy.parser.antlr4.GroovyParser.SwitchExpressionContext

-     public static class GroovyParser.SwitchExpressionContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwitchExpressionContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `LBRACE()`
    `` | `public List<? extends TerminalNode>` | `NL()`
    `` | `public TerminalNode` | `NL(int i)`
    `` | `public TerminalNode` | `RBRACE()`
    `` | `public TerminalNode` | `SWITCH()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.ExpressionInParContext` | `expressionInPar()`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends SwitchBlockStatementExpressionGroupContext>` | `switchBlockStatementExpressionGroup()`
    `` | `public GroovyParser.SwitchBlockStatementExpressionGroupContext` | `switchBlockStatementExpressionGroup(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public SwitchExpressionContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode LBRACE()

    - #### public List<? extends TerminalNode> NL()

    - #### public TerminalNode NL(int i)

    - #### public TerminalNode RBRACE()

    - #### public TerminalNode SWITCH()

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.ExpressionInParContext expressionInPar()

    - #### public int getRuleIndex()

    - #### public List<? extends SwitchBlockStatementExpressionGroupContext> switchBlockStatementExpressionGroup()

    - #### public GroovyParser.SwitchBlockStatementExpressionGroupContext switchBlockStatementExpressionGroup(int i)